com.pixelmed.convert

## Class UnencapsulateCompressedPixelData

- java.lang.Object
- - com.pixelmed.convert.UnencapsulateCompressedPixelData

    public class UnencapsulateCompressedPixelData
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`UnencapsulateCompressedPixelData()`

### Method Summary

Methods
`static void` `main(java.lang.String[] arg)` Read a DICOM image input format file encoded in a compressed transfer syntax and extract the compressed bitstreams into a file for each frame.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UnencapsulateCompressedPixelData

    public UnencapsulateCompressedPixelData()

### Method Detail

#### main

    public static void main(java.lang.String[] arg)

Read a DICOM image input format file encoded in a compressed transfer syntax and extract the compressed bitstreams into a file for each frame.

The output file will be named with the specified prefix to which will be appended a 6 digit zero padded frame number starting from 1, followed by an appropriate file name extension for the transfer syntax.

Parameters:
  `arg` - two parameters, the inputFile, the outputFile prefix